Subject: bug#26779: closed (Re: bug#26779: expr length)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Jun 2017 01:21:02 +0000

Your bug report

#26779: expr length

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26779: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26779
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26779: expr length
From: Assaf Gordon <[email-masked]>
To: Pádraig Brady <[email-masked]>
Cc: [email-masked],Андрей Воронов <[email-masked]>
Date: Wed, 28 Jun 2017 21:20:05 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Jun 28, 2017, at 12:32, Pádraig Brady <[email-masked]> wrote:
> 
> On 27/06/17 18:41, Assaf Gordon wrote:
>> Attached work-in-progress for expr/multibyte,

> This looks to have sufficient testing and is ready to push.
> We can look at using wide strings internally in a further patch.

Thanks,
pushed here:
  https://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=a9f2be5bfec2bfe86c08

I'm thus closing this bug report (but of course
discussion can continue by replying to this thread).

regards,
 - assaf

Subject: expr length
From: Андрей Воронов <[email-masked]>
To: [email-masked]
Date: Thu, 4 May 2017 12:59:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I have the bug in expr utility when it perform operation of the 
calculating length of the string in my multi-byte encoding ru_RU.UTF-8.
When I run:  "expr length Привет"
it return me the number 12.
But in the russian word "Hello" the length is 2 times shorter: exactly 6 
characters.
May you register and fix this problem?

expr --version
expr (GNU coreutils) 8.25

God bless you